
Foreman - Bug #6432

attributes missing :presence => true

06/29/2014 08:22 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Rails   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1624

  

Description

Related issues:

Has duplicate Foreman - Bug #7040: hammer architecture create with no name sp... Duplicate 08/12/2014

Has duplicate Foreman - Bug #6714: Error message needs to be rephrased when w... Closed 07/22/2014

Associated revisions

Revision 4df26ec4 - 07/30/2014 04:22 AM - Joseph Magen

fixes #6432 - add validation for attributes missing :presence => true and remove duplicate validation messages 'can't be blank'

History

#1 - 06/29/2014 09:00 AM - Ohad Levy

which attribute? :)

#2 - 07/07/2014 07:25 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#3 - 07/08/2014 06:36 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1512

missing  :presence => true for name on

architectures

compute_resources

operatingsystems

realms

#4 - 07/08/2014 07:37 AM - Dominic Cleal

- Category set to Rails

#5 - 07/28/2014 03:50 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1624 added

#6 - 07/30/2014 04:30 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#7 - 07/30/2014 05:01 AM - Joseph Magen

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1512


- % Done changed from 0 to 100

Applied in changeset 4df26ec487c3c5959cede884c80b62c4ba753f94.

#8 - 08/12/2014 07:09 AM - Martin Bacovsky

- Related to Bug #7040: hammer architecture create with no name specified gives wrong error message added

#9 - 08/12/2014 07:09 AM - Martin Bacovsky

- Related to deleted (Bug #7040: hammer architecture create with no name specified gives wrong error message)

#10 - 08/12/2014 07:09 AM - Martin Bacovsky

- Has duplicate Bug #7040: hammer architecture create with no name specified gives wrong error message added

#11 - 01/27/2015 05:32 AM - Dominic Cleal

- Has duplicate Bug #6714: Error message needs to be rephrased when we create media without passing name added

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4df26ec487c3c5959cede884c80b62c4ba753f94
http://www.tcpdf.org

